-- 动画属性Panle
Lua_HeroAttrAnimationPanel = class("Lua_HeroAttrAnimationPanel", Lua_DisplayObject);
function Lua_HeroAttrAnimationPanel:ctor(p)
    self:superCall("ctor", p);
end

function Lua_HeroAttrAnimationPanel:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_HeroAttrAnimationPanel:setData(data)
    self:showAttributes(data)
end

function Lua_HeroAttrAnimationPanel:showAttributes(info)
    if info ~= nil then
        if self.attrInfo == nil then
            self.attrInfo = Array();
        end
        local len = self.attrInfo:getSize();
        for i = 1, len do
            self.attrInfo[i]:setEnable(false);
        end
        for i = 1, info:getSize() do
            local item = nil;
            if self.attrInfo[i] ~= nil then
                item = self.attrInfo[i];
            else
                item = Lua_HeroAttrAnimationItem.new(self.content);
                self.attrInfo:add(item);
            end
            item:setData(info[i]);
            item:setLocation(0,196 - i*41, 0);
            item:setEnable(true);
        end
    else
        if self.attrInfo ~= nil then
            local len = self.attrInfo:getSize();
            for i = 1, len do
                self.attrInfo[i]:setEnable(false);
            end
        end
    end
end

function Lua_HeroAttrAnimationPanel:dispose()
	if self.attrInfo ~= nil then
        self.attrInfo:dispose();
        self.attrInfo:clear();
        self.attrInfo = nil;
    end
    self:superCall("dispose");
end













-- 属性展示
Lua_HeroAttrAnimationItem = class("Lua_HeroAttrAnimationItem", Lua_DisplayObject);
function Lua_HeroAttrAnimationItem:ctor(p)
    self:superCall("ctor", p, "Lua_HeroAttrAnimationItem_skin");
end

function Lua_HeroAttrAnimationItem:buildShowItem()
    self:superCall("buildShowItem");
end

function Lua_HeroAttrAnimationItem:setData(data)
    self.des.text = data;
end

function Lua_HeroAttrAnimationItem:dispose()
    self:superCall("dispose");
end