-- 页签
Lua_HeroTabCell = class("Lua_HeroTabCell", Lua_ListCell);
function Lua_HeroTabCell:ctor(p)
    self:superCall("ctor", p,"HeroTabCell_skin");
end

function Lua_HeroTabCell:buildShowItem()
    self:superCall("buildShowItem");
    self.select:setEnable(false);
end

function Lua_HeroTabCell:setData(data)
    self.data = data;
    if self.data.showGrayState then
        self.icon:setAltas("hero_develop_altas", self.data.nameSp.."_d");
    end
    -- self.icon:setGray(data.showGrayState);
    self:showRedDot(data.showRedDotState);
end

--红点
function Lua_HeroTabCell:showRedDot(val)
    if val == true then
        if self.redDotIcon == nil then
            self.redDotIcon = Lua_RedPointIcon.new(self.content);
            self.redDotIcon:setLocation(42, 39, 0);
            self.redDotIcon:createRedPointImg(nil);
        end
        self.redDotIcon:updateRedPointShow(true);
    else
        if self.redDotIcon ~= nil then
            self.redDotIcon:updateRedPointShow(false);
        end
    end
end

function Lua_HeroTabCell:onSelectionChange(bSelect)
    self:superCall("onSelectionChange",bSelect)
    if bSelect then
        self.icon:setAltas("hero_develop_altas", self.data.nameSp.."_p");
    else
        if self.data.showGrayState then
            self.icon:setAltas("hero_develop_altas", self.data.nameSp.."_d");
        else
            self.icon:setAltas("hero_develop_altas", self.data.nameSp.."_n");
        end
    end
    self.select:setEnable(bSelect);
end

function Lua_HeroTabCell:onPressClick(go)
    if self.clickTime ~= nil and getTime() - self.clickTime < 1 then
        return;
    end
    self.clickTime = getTime();
    
    self:checkGuideCellState();-- 引导用
    Lua_MsgUtil.callFunc("UPDATA_TAG_BUTTON_ITEM", self.data);
    if self.data.showGrayState == false then
        return true;
    end
end

-- 引导用
function Lua_HeroTabCell:checkCellPressInGuide(bGuide, guideId)
    self.bPressCell = bGuide;
    self.guideId = guideId;
end

-- 引导用
function Lua_HeroTabCell:checkGuideCellState()
    if self.bPressCell and self.guideId then
        DataCenter.guideCommonData.winGuideResult = 1;
        Lua_MsgUtil.callFunc("Guide_WinSync_Complete", self.guideId);
        self:checkCellPressInGuide(nil, nil);
    end
end

function Lua_HeroTabCell:dispose()
    self.data = nil;
    if self.redDotIcon ~= nil then
        self.redDotIcon:dispose();
        self.redDotIcon = nil;
    end
    self:superCall("dispose");
end