-- 试用英雄 提示item
Lua_HeroTrialTipItem = class("Lua_HeroTrialTipItem", Lua_DisplayObject);
function Lua_HeroTrialTipItem:ctor(p, typeof)
    self.typeof = typeof;--1:英雄属性 2：英雄装备
    self:superCall("ctor", p, "HeroTrialTipItem_skin");
end

function Lua_HeroTrialTipItem:buildShowItem()
    self:superCall("buildShowItem");
    self.tipTxt.text = LanUtil.getValue(760208);
    self.tipIcon:addClickFuntion(self, self.onTipIconClick);
end

function Lua_HeroTrialTipItem:dispose()
    self:removeTimer(self, self.onTimer);
    self:superCall("dispose");
end

function Lua_HeroTrialTipItem:setData(heroVo)
    if heroVo ~= nil then
        self.time = heroVo.trial_tick - DataCenter.roleData.serverTime + 1;
        self:onTimer();
    else
        if self.isTimer then
            self.isTimer = false;
            self:removeTimer(self, self.onTimer);
        end
    end
end

function Lua_HeroTrialTipItem:onTimer()
    self.time = self.time - 1;
    if self.time < 0 then
        self.time = 0;
    end
    self.timeTxt.text = LanUtil.formateStr(760204, Lua_TimeTransform.transSeconds9(self.time));

    if self.time > 0 then
        if not self.isTimer then
            self.isTimer = true;
            self:addTimer("onTimer", 1, self, self.onTimer);
        end
    else
        if self.isTimer then
            self.isTimer = false;
            self:removeTimer(self, self.onTimer);
        end
    end
end

function Lua_HeroTrialTipItem:onTipIconClick()
    local y;
    if self.typeof == 1 then
        y = 390;
    elseif self.typeof == 2 then
        y = 355;
    end
    local tipsData = { des = LanUtil.getValue(760205), posX = 0, posY = y, isBottomShow = true};
    Lua_WindowUtil.openWin("Lua_InstructionTipsWindow", Lua_WinParam.ACTION_OPEN, tipsData);
end