--羁绊
Lua_HeroFetterPanel = class("Lua_HeroFetterPanel", Lua_DisplayObject);
function Lua_HeroFetterPanel:ctor(p)
    self:superCall("ctor", p,"HeroFetterPanel_skin");
end

function Lua_HeroFetterPanel:buildShowItem()
    self:superCall("buildShowItem");
    self.bg:SetDimensions(720,1016+self.adaptHeight);
    self.dragList = Lua_DragList.new(self.content,704, 994 + self.adaptHeight, Lua_AxisDefine.Vertical);
    self.dragList:setListCell(Lua_HeroFetterCell, 704, 333, 1);
    self.dragList:setCellSpacing(5, 7);
    self.dragList:setLocation(0, 35);

	self:addLuaEvent("UPDATE_HERO_FETTER_INFO", self, self.updateFetterInfo);
    self.help:addClickFuntion(self, self.onHelpClick);
    self:updateShow();
end

function Lua_HeroFetterPanel:updateShow()
    Lua_ProxyManager.getProxy("Lua_HeroProxy"):sHeroFetter(); -- 更新角色信息
end

function Lua_HeroFetterPanel:updateFetterInfo()
	local arr = DataCenter.heroFetterData.herofetterArr;
    -- local arr = Array();
    -- for i=1,10 do
    --     arr:add(i)
    -- end
    self.dragList:setArrayData(arr);
end

function Lua_HeroFetterPanel:onScreenResize(adaptHeight)
    self.dragList:setContentRect(704, 994 + adaptHeight);
    self.bg:SetDimensions(720, 1016 + adaptHeight);
end

function Lua_HeroFetterPanel:onHelpClick()
	local param = { des = LanUtil.getValue(126351), posX = 30, posY = 274 };
	Lua_WindowUtil.openWin("Lua_InstructionTipsWindow", Lua_WinParam.ACTION_OPEN, param);
end

function Lua_HeroFetterPanel:dispose()
    self:superCall("dispose");
end























Lua_HeroFetterCell = class("Lua_HeroFetterCell", Lua_ListCell);
function Lua_HeroFetterCell:ctor(p)
    self:superCall("ctor", p,"HeroFetterCell_skin");
end

function Lua_HeroFetterCell:buildShowItem()
	self:superCall("buildShowItem");
    self.show_bar.fillMethodValue = 4;
    self.show_bar.fillOrigin = 2;
    self.next_des:addClickFuntion(self, self.onBtnClick);
end

function Lua_HeroFetterCell:setData(data)
    if data == nil then
		return;
	end

	self.data = DataCenter.heroFetterData:getFetterVoById(data);

	local activateNum = self.data.activateNum;
    local length = #self.data.fetter_list;
    local str;
    if activateNum < length then
        str = Lua_ColorDefine.getColorStr("939393",self.data.des);
    else
        str = Lua_ColorDefine.getColorStr("ffffff",self.data.des);
    end
    self.show_attr.text = str;
    self.show_des.text = self.data.limit_des;

    local val = activateNum/length;
    self.bar_vlue.text = (Mathf.Floor(val*100)).."%";
    self.show_bar.fillAmount = val;
    self.next_des:setEnable(self.data.next_des ~= nil);
    self.show_bg:setUrl(self.data.path);
    self:showHeroName(self.data.fetter_list);
end

function Lua_HeroFetterCell:showHeroName(list)
    self.show_name1:setEnable(false);
    self.show_name2:setEnable(false);
    self.show_name3:setEnable(false);

    if list ~= nil then
        local name;
        for i=1,#list do
            name = Lua_HeroConfigData.getConfig(list[1].hero_id).name;
            if self["show_name"..i] ~= nil then
                self["show_name"..i]:setEnable(true);
                self["show_name"..i].text = name;
            end
        end
    end
end

function Lua_HeroFetterCell:onBtnClick()
    local list = {};
    list.x = 0;
    list.y = 0;
    list.des = self.data.next_des;
    list.limit_des = self.data.next_limit_des;
	Lua_WindowUtil.openWin("Lua_HeroFetterAttrWindow", Lua_WinParam.ACTION_OPEN, list);
end

function Lua_HeroFetterCell:dispose()
	self:superCall("dispose");
end