 Lua_HeroHeatRankBaseCell = class("Lua_HeroHeatRankBaseCell", Lua_ListCell);
function Lua_HeroHeatRankBaseCell:ctor(p)
    self:superCall("ctor", p,"HeroHeatRankBaseCell_skin");
end

function Lua_HeroHeatRankBaseCell:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_HeroHeatRankBaseCell:setData(rank_id)
	self.data = DataCenter.heroHeatData:getHeatRankVoById(rank_id);
	if self.data == nil then
		return
	end
	if self.data.id <= 3 then
		self.rank_txt:setEnable(false);
		self.rank_spr:setAltas("common_altas_4","xui_rdb_label_"..self.data.id);
	else
		self.rank_txt.text = self.data.id;
		self.rank_txt:setEnable(true);
		self.rank_spr:setAltas("common_altas_4","xui_rdb_label_4");
	end
	self.heat_txt.text = self.data.value;
end

function Lua_HeroHeatRankBaseCell:onPressClick()

end

function Lua_HeroHeatRankBaseCell:dispose()
	self:superCall("dispose");
end