--英雄信息cell
checkRequire("Lua_HeroHeatRankBaseCell");
Lua_HeroHeatRankItemCell = class("Lua_HeroHeatRankItemCell", Lua_HeroHeatRankBaseCell);
function Lua_HeroHeatRankItemCell:ctor(p)
    self:superCall("ctor", p);
end

function Lua_HeroHeatRankItemCell:buildShowItem()
	self:superCall("buildShowItem");
	self.avatarItem = Lua_AvatarItem.new(self.content);
	self.avatarItem:setLocation(-140,2,0);

	self.name_txt = UICreate.createLabel(self.content, nil, -70, 3, 220, 40, 32);
	self.name_txt.pivot = UIUtils.Pivot.Left;
	self.name_txt.alignmentValue = 3;
	self.name_txt.fontName = "huakang_font";
	self.name_txt.colorStr = Lua_ColorDefine.transColorStr("5e4b42");
end

function Lua_HeroHeatRankItemCell:setData(rank_id)
	self:superCall("setData", rank_id);
	if self.data == nil then
		return;
	end
	self.heroVo = Lua_HeroVo.new(self.data.hero_id);
	self.name_txt.text = self.heroVo.name;
	self.avatarItem:setAvatarBg("common_altas_1", "xui_common_widget_003", 1.1);
	self.avatarItem:setHeroAvatar(self.data.hero_id, 0.74);
end

function Lua_HeroHeatRankItemCell:onPressClick()
	local winPos = LuaUtil.getTouchPosInverseObj(self.mainContent);
	if self.avatarItem:checkInBound(winPos.x, winPos.y) then
		Lua_WindowUtil.openWin("Lua_HeroExplainTipsWindow", Lua_WinParam.ACTION_OPEN, self.heroVo);
	end
end

function Lua_HeroHeatRankItemCell:dispose()
	self.data = nil;
	self.heroVo = nil;
	self.name_txt = nil;
	if self.avatarItem ~= nil then
		self.avatarItem:dispose();
		self.avatarItem = nil;
	end
	self:superCall("dispose");
end