--英雄阵容信息cell
checkRequire("Lua_HeroHeatRankBaseCell");
Lua_HeroHeatRankLineupCell = class("Lua_HeroHeatRankLineupCell", Lua_HeroHeatRankBaseCell);
function Lua_HeroHeatRankLineupCell:ctor(p)
    self:superCall("ctor", p);
end

function Lua_HeroHeatRankLineupCell:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_HeroHeatRankLineupCell:setData(rank_id)
	self:superCall("setData",rank_id);
	if self.data == nil then
		return;
	end
    self:showAvatar(self.data.lineArr);
end

-- 队伍
function Lua_HeroHeatRankLineupCell:showAvatar(arr)
	self.arr = arr;
    if self.avatarInfo == nil then
        self.avatarInfo = Array();
    end
    local len = self.avatarInfo:getSize();
    for i = 1, len do
        self.avatarInfo[i]:setEnable(false);
    end
    local item;
    for i=1,arr:getSize() do
        if self.avatarInfo[i] ~= nil then
            item = self.avatarInfo[i];
        else
            item = Lua_AvatarItem.new(self.content);
            item:setAvatarBg("common_altas_3", "xui_common_widget_019", 0.5);
            self.avatarInfo:add(item);
        end
        item:setHeroAvatar(arr[i], 0.42);
        item:setLocation(-160+ (i-1)*62, 0, 0)
        item:setEnable(true);
    end
end

function Lua_HeroHeatRankLineupCell:onPressClick()
	local winPos = LuaUtil.getTouchPosInverseObj(self.mainContent);
    for i = 1, self.avatarInfo:getSize() do
        if self.avatarInfo[i]:checkInBound(winPos.x, winPos.y) then
        	local heroVo = Lua_HeroVo.new(self.arr[i]);
            Lua_WindowUtil.openWin("Lua_HeroExplainTipsWindow", Lua_WinParam.ACTION_OPEN, heroVo);
        end
    end
end

function Lua_HeroHeatRankLineupCell:dispose()
	self.data = nil;
	if self.arr ~= nil then
		self.arr:clear();
		self.arr = nil;
	end
	if self.avatarInfo ~= nil then
        self.avatarInfo:dispose();
        self.avatarInfo:clear()
        self.avatarInfo = nil;
    end
	self:superCall("dispose");
end