-- 英雄资源返还
Lua_HeroResourcesTipsWindow = class("Lua_HeroResourcesTipsWindow", Lua_Window);
function Lua_HeroResourcesTipsWindow:ctor()
	self:superCall("ctor");
    self.isClickClose = true;
    self.showBlackMask = true;
	self.windowName = "Lua_HeroResourcesTipsWindow";
	self.skinName = "HeroResourcesTipsWindow_skin";
end

function Lua_HeroResourcesTipsWindow:buildShowItem()
	self:superCall("buildShowItem");
    
	self.dragList = Lua_DragList.new(self.content,615, 348, Lua_AxisDefine.Vertical);
    self.dragList:setListCell(Lua_TotemOrderTipsCell, 106, 106, 4);
    self.dragList:setCellSpacing(15, 15);
    self.dragList:setLocation(0, 30);

    self.subBtn:addClickFuntion(self, self.hide);
end

function Lua_HeroResourcesTipsWindow:showWin(param)
    self:superCall("showWin",param);
    self.dragList:setArrayData(param);
end

function Lua_HeroResourcesTipsWindow:dispose()
    if self.dragList ~= nil then
        self.dragList:dispose();
        self.dragList = nil;
    end

    self:superCall("dispose");
end




















Lua_TotemOrderTipsCell = class("Lua_TotemOrderTipsCell", Lua_ListCell);
function Lua_TotemOrderTipsCell:ctor(p)
    self:superCall("ctor", p);
end

function Lua_TotemOrderTipsCell:buildShowItem()
    self:superCall("buildShowItem");

    self.itemIcon = Lua_ItemIcon.new(self.content);
    self.itemIcon:setCanClick(true);
    self.itemIcon:setSiblingIndex(0)
end

function Lua_TotemOrderTipsCell:setData(data)
    self.itemIcon:setData(data);
end

function Lua_TotemOrderTipsCell:dispose()
    if self.itemIcon ~= nil then
        self.itemIcon:dispose();
        self.itemIcon = nil;
    end
    self:superCall("dispose");
end