-- 英雄突破成功
checkRequire("Lua_HeroBreakAttributeItem");
Lua_HeroBreakSucceedWindow = class("Lua_HeroBreakSucceedWindow", Lua_Window);
function Lua_HeroBreakSucceedWindow:ctor()
    self:superCall("ctor");
    self.isClickClose = true;
    self.showBlackMask = true;
    self.showCloseText = true;
    self.closeTextPosY = -445;
    self.windowName = "Lua_HeroBreakSucceedWindow";
    self.skinName = "HeroBreakSucceedWindow_skin";
end

function Lua_HeroBreakSucceedWindow:buildShowItem()
    self:superCall("buildShowItem");
    self.title:setEnable(false);
    self.title1:setEnable(false);
end

-- 英雄展示数据
function Lua_HeroBreakSucceedWindow:showWin(param)
    self:superCall("showWin",param);
    self.showState, self.arr = DataCenter.heroData:showBreakSkill(param.data);
    self:showAttributes(param.data, param.attrDic);
    if self.showState == 0 then
        self.title:setEnable(true);
        self.title:setLangValue(126117);
    else
        local str;
        if self.showState == 1 then--1：技能解锁
            self.title:setEnable(true);
            self.title:setLangValue(126117);
            self.title1:setLocation(0,9,0);
            str = LanUtil.getValue(126115);
        else
            self.title:setEnable(false);
            self.fengexian:setEnable(self.showState == 3);
            self.title1:setLocation(0,55,0);
            str = LanUtil.getValue(126116);
        end
        self.title1.text = str;
        self.title1:setEnable(true);

        self:showShill(self.arr);
    end

    if self.arr:getSize() > 2 then
        self.winBg:SetDimensions(720,804);
    else
        self.winBg:SetDimensions(720,749);
    end
end

-- 属性展示
function Lua_HeroBreakSucceedWindow:showAttributes(heroVo, prop_list)
    local info = DataCenter.heroData:showAttrInfo(heroVo, prop_list);
    if info ~= nil then
        if self.attrInfo == nil then
            self.attrInfo = Array();
        end
        local len = self.attrInfo:getSize();
        for i = 1, len do
            self.attrInfo[i]:setEnable(false);
        end
        for i = 1, info:getSize() do
            local item = nil;
            if self.attrInfo[i] ~= nil then
                item = self.attrInfo[i];
            else
                item = Lua_HeroBreakAttributeItem.new(self.content);
                self.attrInfo:add(item);
            end
            item:setIndex(i);
            item:setData(info[i]);

            if self.showState == 0 then
                item:setLocation(0,120 - (i-1)*46, 0);
            elseif self.showState == 1 then
                item:setLocation(0,208 - (i-1)*46, 0);
            else
                item:setLocation(0,248 - (i-1)*46, 0);
            end
            item:setEnable(true);
        end
    else
        if self.attrInfo ~= nil then
            local len = self.attrInfo:getSize();
            for i = 1, len do
                self.attrInfo[i]:setEnable(false);
            end
        end
    end
end

--技能
function Lua_HeroBreakSucceedWindow:showShill(info)
    if info ~= nil then
        if self.skillInfo == nil then
            self.skillInfo = Array();
        end
        local len = self.skillInfo:getSize();
        for i = 1, len do
            self.skillInfo[i]:setEnable(false);
        end
        for i = 1, info:getSize() do
            local item = nil;
            if self.skillInfo[i] ~= nil then
                item = self.skillInfo[i];
            else
                item = Lua_HerooBreakSkillItem.new(self.content);
                self.skillInfo:add(item);
            end
            item:setShowState(self.showState);
            item:setData(info[i]);

            if self.showState == 1 then
                item:setLocation(0, -71, 0);
            elseif self.showState == 2 then
                item:setLocation(0, -71, 0);
            elseif self.showState == 3 then
                if i%2 == 0 then
                    item:setLocation(199, -19 - (i/2-1)*134, 0);
                else
                    item:setLocation(-199,-19 - ((i+1)/2-1)*134, 0);
                end
            end
            item:setEnable(true);
        end
    else
        if self.skillInfo ~= nil then
            local len = self.skillInfo:getSize();
            for i = 1, len do
                self.skillInfo[i]:setEnable(false);
            end
        end
    end
end

function Lua_HeroBreakSucceedWindow:dispose()
    if self.attrInfo ~= nil then
        self.attrInfo:dispose();
        self.attrInfo:clear();
        self.attrInfo = nil;
    end
    if self.skillInfo ~= nil then
        self.skillInfo:dispose();
        self.skillInfo:clear();
        self.skillInfo = nil;
    end
    DataCenter.heroData.isBreak = false;
    self:superCall("dispose");
end



















-- 英雄技能突破item
Lua_HerooBreakSkillItem = class("Lua_HerooBreakSkillItem", Lua_DisplayObject);
function Lua_HerooBreakSkillItem:ctor(p)
    self:superCall("ctor", p, "HeroBreakSkillItem_skin");
end

function Lua_HerooBreakSkillItem:buildShowItem()
    self:superCall("buildShowItem");
    self.skill_icon1:addClickFuntion(self, self.onLeftBtnClick);
    self.skill_icon2:addClickFuntion(self, self.onRightBtnClick);
end

function Lua_HerooBreakSkillItem:setShowState(val)
    self.showState = val;
    if val == 1 then--1：技能解锁
        self.arrow:setEnable(false);
        self.right_obj:SetActive(false);
    elseif val == 2 then--单个技能升级
        self.arrow:setEnable(true);
        self.right_obj:SetActive(true);
        LuaUtil.setObjPos(self.left_obj, -147, 0, 0);
        LuaUtil.setObjPos(self.right_obj, 147, 0, 0);
    elseif val == 3 then--多个技能升级
        self.arrow:setEnable(true);
        self.right_obj:SetActive(true);
        LuaUtil.setObjPos(self.left_obj, -83, 0, 0);
        LuaUtil.setObjPos(self.right_obj, 88, 0, 0);
        LuaUtil.setObjScale(self.left_obj, 0.8, 0.8, 0.8);
        LuaUtil.setObjScale(self.right_obj, 0.8, 0.8, 0.8);
    end
end

function Lua_HerooBreakSkillItem:setData(heroSkillVo)
    self.skillVo = heroSkillVo.skillVo;

    --左边技能
    self.skill_icon1:setAltas(self.skillVo.atlas, self.skillVo.sprite);

    local str;
    local skill_level = heroSkillVo.skill_level;
    if self.showState == 1 then
        self.left_level = skill_level;
        str = self.skillVo.name.." Lv."..skill_level;
    else
        self.left_level = skill_level-1;
        str = self.skillVo.name.." Lv."..self.left_level;
    end
    self.skill_lvl1.text = self.left_level;
    self.skill_name1.text = str;

    
    --右侧技能
    self.right_level = skill_level;
    self.skill_icon2:setAltas(self.skillVo.atlas, self.skillVo.sprite);
    self.skill_lvl2.text = skill_level;
    self.skill_name2.text = self.skillVo.name.." Lv."..skill_level;
end

function Lua_HerooBreakSkillItem:onLeftBtnClick(val)
    local list = {skillVo = self.skillVo, skill_level = self.left_level, unlock_type = 1};
    Lua_WindowUtil.openWin("Lua_SkillTipsWindow", Lua_WinParam.ACTION_OPEN, list);
end

function Lua_HerooBreakSkillItem:onRightBtnClick(val)
    local list = {skillVo = self.skillVo, skill_level = self.right_level, unlock_type = 1};
    Lua_WindowUtil.openWin("Lua_SkillTipsWindow", Lua_WinParam.ACTION_OPEN, list);
end

function Lua_HerooBreakSkillItem:dispose()
    self.skillVo = nil;
    self:superCall("dispose");
end