-- 英雄消耗动态显示item
Lua_HeroCostItem = class("Lua_HeroCostItem", Lua_DisplayObject);
function Lua_HeroCostItem:ctor(p)
    self:superCall("ctor", p,"HeroCostItem_skin");
end

function Lua_HeroCostItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_HeroCostItem:setData(data)
    self.data = data;
    local bagNum = data.bagNum;
    local color = "64bf74";
    if data.isShowRed == false then
        color = "ee9180";
    end
    self.cost_value.text = "<color=#"..color..">"..bagNum.."</color>/"..data.needNum;
    self.cost_value:resetSize();
    self.cost_icon:setAltas(data.atlas,data.sprite);
end

function Lua_HeroCostItem.Get:itemW()
    return 45 + self.cost_value.width;
end

function Lua_HeroCostItem:dispose()
    self.data = nil;
    self:superCall("dispose");
end