Lua_HeroFashionAttrWindow = class("Lua_HeroFashionAttrWindow", Lua_Window)
function Lua_HeroFashionAttrWindow:ctor()
	self:superCall("ctor");
	
	self.w = 370;
	self.h = 265;
	self.windowName = "Lua_HeroFashionAttrWindow";
	self.isFullSizeWin = true;
	self.showBlackMask = true;
	self.blackAlpha = 0.01;
	self.showWinBg = true;
	self.winBgAtlas = "common_altas_1";
	self.winBgSprite = "xui_common_tips_001";
	self.winBgPosX = 70.5;
	self.winBgPosY = -62;
	self.isClickClose = true;
end

function Lua_HeroFashionAttrWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.winBg.anchorValue = 1;
	self.winBg.pivotValue = 1;
end

function Lua_HeroFashionAttrWindow:dispose()
	if self.curItem then
		self.curItem:dispose();
		self.curItem = nil;
	end
	self:superCall("dispose");
end

function Lua_HeroFashionAttrWindow:showWin(param)
	self:superCall("showWin", param);

	local startY = -85;
	local addH = 0;
	local spacingH = 10;
	if not strIsNullOrEmpty(param.curAttrStr) then
		if self.curItem == nil then
			self.curItem = Lua_HeroFashionAttrItem.new(self.content);
			self.curItem:setRectAnchor(1);
		end
		self.curItem:setEnable(true);
		self.curItem:setLocation(-90, startY, 0);
		addH = addH + self.curItem:setData(126502, param.curAttrStr) + spacingH;
	else
		if self.curItem then
			self.curItem:setEnable(false);
		end
	end

	startY = startY - addH;
	if not strIsNullOrEmpty(param.allAttrStr) then
		if self.allItem == nil then
			self.allItem = Lua_HeroFashionAttrItem.new(self.content);
			self.allItem:setRectAnchor(1);
		end
		self.allItem:setEnable(true);
		self.allItem:setLocation(-90, startY, 0);
		addH = addH + self.allItem:setData(126504, param.allAttrStr) + spacingH;
	else
		if self.allItem then
			self.allItem:setEnable(false);
		end
	end

	self.winBg:SetDimensions(self.w, addH + 40);
end










Lua_HeroFashionAttrItem = class("Lua_HeroFashionAttrItem", Lua_DisplayObject)
function Lua_HeroFashionAttrItem:ctor(p)
	self:superCall("ctor", p, "HeroFashionAttrItem_skin");
end

function Lua_HeroFashionAttrItem:buildShowItem()
	self:superCall("buildShowItem");
end

function Lua_HeroFashionAttrItem:setData(titleId, propStr)
	self.titleText:setLangValue(titleId);
	self.desText.text = propStr;
	self.desText:resetSize();
	return Mathf.Abs(self.desText.posY) + self.desText.height;
end