--英雄热度榜二级页签panel（斗技场/幽暗森林）
checkRequire("Lua_HeroHeatRankItemCell");
checkRequire("Lua_HeroHeatRankLineupCell");
checkRequire("Lua_HeroHeatRankBasePanel");
Lua_HeroHeatRankSecondPanel = class("Lua_HeroHeatRankSecondPanel", Lua_HeroHeatRankBasePanel);
function Lua_HeroHeatRankSecondPanel:ctor(p)
    self:superCall("ctor", p);
end

function Lua_HeroHeatRankSecondPanel:buildShowItem()
    self:superCall("buildShowItem");
    self.selectFloor = 0;--选择的层数
    self:addLuaEvent("HERO_HEAT_RANK_INFO", self, self.updateHeatRankInfo);-- 页签按钮
end

function Lua_HeroHeatRankSecondPanel:updatePanelInfo(rank_id)
	-- print("Lua_HeroHeatRankSecondPanel  == ",rank_id)
    self.data = DataCenter.heroHeatUtil:getHeatRankDataById(rank_id);
    local posY;--列表Y轴
	if self.data.bCamp == 1 then--有种族筛选
		posY = -95;
		self.dragH = 824;
		self.selectCamp = nil; --选择的种族
		self:showCamp(true);
	else
		posY = -132;
		self.dragH = 899;
		self:showCamp(false);
		self.selectCamp = Lua_HeroUtil.All_TYPE;
		self:sendHeatMsg(rank_id,self.selectFloor, self.selectCamp);
	end

	if self.data.first_id == 1 then --英雄榜
		self.dragList:setListCell(Lua_HeroHeatRankItemCell, 686, 125, 1);
		self.dragList:setCellSpacing(0, 6);
	    self.dragList:setLocation(0, posY, 0);
	elseif self.data.first_id == 2 then --阵容榜
		self.dragList:setListCell(Lua_HeroHeatRankLineupCell, 686, 125, 1);
		self.dragList:setCellSpacing(0, 6);
	    self.dragList:setLocation(0, posY, 0);
	elseif self.data.first_id == 3 then --养成榜（待开发）

	end
	
	self.bg_spr:SetDimensions(720,78 + self.dragH + self.adaptHeight);
	self.dragList:setContentRect(686, self.dragH + self.adaptHeight, false);
end

function Lua_HeroHeatRankSecondPanel:updateTween()
    self.dragList.showTween = true;
end

function Lua_HeroHeatRankSecondPanel:updateHeatRankInfo(rank_id)
	if self.data.id ~= rank_id then
		return
	end
	local arr = DataCenter.heroHeatData.heroHeatIdArr;
	self:setShow(arr:getSize() == 0);
    self.dragList:setArrayData(arr);
end

-- 更新筛选状态
function Lua_HeroHeatRankSecondPanel:updateCampSiftInfo(selectType)
    if self.selectCamp == selectType then
        return;
    end
    self.selectCamp = selectType;
    
    self:sendHeatMsg(self.data.id, self.selectFloor, self.selectCamp);
end

--种族筛选
function Lua_HeroHeatRankSecondPanel:showCamp(bool)
	if self.siftArr ~= nil then
	    for i=1,self.siftArr:getSize() do
	    	self.siftArr[i]:setEnable(false);
	    end
	end

	if not bool then
		return
	end

	if self.campSiftPanel == nil then
	    self.campSiftPanel = Lua_CampSiftPanel.new(self.content);
	    self.campSiftPanel:setRectAnchor(7);
	    self.campSiftPanel:setLocation(-32, 152, 0);
	    self.campSiftPanel:setSiftItem(80);
	    self.campSiftPanel:setArrayData(DataCenter.heroUtil.siftAllInfo);
	    self.campSiftPanel:setCallBack(self, self.updateCampSiftInfo);
	end
    self.campSiftPanel:setSelected(Lua_HeroUtil.All_TYPE, true);
end

function Lua_HeroHeatRankSecondPanel:onScreenResize(adaptHeight)
	if self.adaptHeight ~= adaptHeight then
		self:superCall("onScreenResize", adaptHeight);
		
		self.bg_spr:SetDimensions(720,78 + self.dragH + adaptHeight);
		self.dragList:setContentRect(686, self.dragH + adaptHeight);
		self.dragList:moveToIndex(1,true);
	end
end

function Lua_HeroHeatRankSecondPanel:sendHeatMsg(id, floor, camp)
	-- print("请求   ",id,"      ", floor,"      " ,camp)
	Lua_ProxyManager.getProxy("Lua_HeroProxy"):sHeroHeat(id, floor, camp);
end

function Lua_HeroHeatRankSecondPanel:dispose()
	if self.campSiftPanel ~= nil then
		self.campSiftPanel:dispose();
		self.campSiftPanel = nil;
	end
    if self.dragList ~= nil then
		self.dragList:dispose();
		self.dragList = nil;
	end
	self.data = nil;
    self:superCall("dispose");
end