-- 英雄Item
Lua_HeroCellsItem = class("Lua_HeroCellsItem", Lua_ListCell);
function Lua_HeroCellsItem:ctor(p)
    self:superCall("ctor", p);
end

function Lua_HeroCellsItem:buildShowItem()
    self:superCall("buildShowItem");
    self.heroItemIcon = Lua_HeroItemIcon.new(self.content);
    self.heroItemIcon:setLocation(-8,-4, 0);
end

function Lua_HeroCellsItem:setData(data)
    self.data = data;
    if data == nil then
        return;
    end
    self.hvo = DataCenter.heroData:getItemByUniqueId(data.unique_id);
    if self.hvo == nil then
        return;
    end
    self.heroItemIcon:setData(self.hvo);
    local showState = DataCenter.heroData:checkSingleHeroRed(self.hvo);
    self.heroItemIcon:showRedPoint(showState);
end

function Lua_HeroCellsItem:onPressClick()
    if self.hvo.is_league_transaction then
        local tipsData = {
            btnType = 1,
            des = LanUtil.getValue(126077),
            owner = self,
            sureFun = function()
                DataCenter.funcPathUtil:gotoFunction(1009, true); --暂时跳到公会界面，后续再改到交易行
            end
        };
        Lua_WindowUtil.openWin("Lua_TipsWindow", Lua_WinParam.ACTION_OPEN, tipsData);
    else
        self:onIconBtnClick();
    end
end

function Lua_HeroCellsItem:onIconBtnClick()
    Lua_MsgUtil.callFunc("SELECT_SHOW_ATTRS_WINOW_INDEX", self.data); 
end

function Lua_HeroCellsItem:dispose()
    self.data = nil;
    if self.starInfo ~= nil then
        self.starInfo:dispose();
        self.starInfo:clear();
        self.starInfo = nil;
    end
    self:superCall("dispose");
end